PortSystem 		1.0
name			firefox	
version			1.0.3
categories		www	
description		Firefox Worldwide Web user agent (browser).
long_description \
				The wait is over. Firefox empowers you to browse faster, \
				more safely and more efficiently than with any other browser. \
				Join more than 44 million others and make the switch today  \
				Firefox imports your Favorites, settings and other information, \
				so you have nothing to lose.
homepage		http://www.mozilla.org/products/firefox/
platforms		darwin
maintainers		sergtrejo@gmail.com
distname		${name}-${version}-source
worksrcdir		mozilla
master_sites	http://ftp.mozilla.org/pub/mozilla.org/${name}/releases/${version}/source/ 

checksums		md5 f1a9a8da0547564a0f8a249f9d56bdf4
use_bzip2		yes
depends_build	bin:zip:zip bin:gmake:gmake bin:libIDL-config:libidl
depends_lib		lib:libgtk.2:gtk2 lib:libgdk_pixbuf.2:gdk-pixbuf

patchfiles	patch-config-add-chrome-pl patch-config-autoconf-mk-in \
			patch-config-config-mk patch-config-rules-mk patch-configure \
			patch-directory-c-sdk-config-config-mk patch-directory-c-sdk-configure \
			patch-modules-libpref-src-nsPrefServices-cpp patch-nsprpub-configure \
			patch-nsprpub-pr-include-md-_darwin-h patch-nsprpub-pr-src-Makefile-in \
			patch-nsprpub-pr-src-linking-prlink-c patch-security-coreconf-Dawin-mk \
			patch-security-nss-cmd-platlibs-mk patch-security-nss-lib-smime-config-mk \
			patch-security-nss-lib-ssl-config-mk patch-themes-Makefile-in \
			patch-mozconfig patch-browser-components-build-Makefile-in

configure	{}

build.cmd	gmake
build.type	gnu
build.args	-f client.mk build

destroot {
	system "cd $worksrcpath/firefoxobj/browser/installer \
		&& ${build.cmd} && \
		cd $destroot/$prefix && \
		gnutar xvfz $worksrcpath/firefoxobj/dist/$name-$version.en-US.mac.tar.gz"
}
